use core::fmt;
use format_num::NumberFormat;

#[derive(Debug)]
pub struct HumanInteger(pub u64);

impl fmt::Display for HumanInteger {
    fn fmt(&self, f: &mut fmt::Formatter<'_>) -> fmt::Result {
        let format = NumberFormat::new();

        f.write_str(format.format(",.0", self.0 as f64).as_str())
    }
}
